Bre-B
How to use Bre-B to submit a payout in Colombia.
Last updated
{
"code": 200,
"msg": "success",
"time": 1628580845,
"data": {
"id": "TS202108100734054iRiUZFPXfQBC",
"custom_code": "custom_code9982674851738108",
"arrival_amount": "1000",
"arrival_currency": "COL",
"source_amount": "1000",
"source_currency": "COL",
"status": "IN_PROCESSING"
}
}{
"code": 4001000,
"msg": "invalid parameter",
"time": 1637224716,
"data": {
"err": "error detail message"
}
}{
"code": 4004003,
"msg": "permission denied",
"time": 1637224716,
"data": {
... ...
}
}{
"code": 5001003,
"msg": "fee not configured",
"time": 1637224716,
"data": {
... ...
}
}{
"code": 5001102,
"msg": "balance insufficient",
"time": 1637224716,
"data": {
... ...
}
}{
"code": 5001000,
"msg": "system error",
"time": 1637224716,
"data": {
"err": "error detail message"
}
}curl --location --request POST 'https://sandbox.transfersmile.com/api/payout' \
--header 'AppId: 94FAC**********************68548' \
--header 'Authorization: d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302' \
--header 'Content-Type: application/json' \
--data-raw '{
* "name": "SU**********EZ",
* "account": "su**********com",
* "document_id": "10******58",
* "document_type": "CC",
* "method": "Bre-B",
* "custom_code": "custom_code9982674851738108",
* "fee_bear": "merchant",
* "amount": "1000", //Amount must be an integer, the fraction is not supported (e.g. 100 or 100.00 is acceptable, but 100.01 is not)
* "source_currency": "COP",
* "arrival_currency": "COP",
* "notify_url": "https://notify.url",
* "additional_remark": "pagsmile payout test",
* "country": "COL"
}'